21 July 2008

Curses! The new Firefox 3.01 does not support Windows 95/98/ME.

2 comments:

Rene said...

Nobody supports Win 95/98/ME ;)

What do you use it for? Got some old hardware that only works with such old OS?

Chuang Shyue Chou said...

There are numerous good Windows 9X games that the emulating software in XP and Vista cannot do well.

And the machine works fine too.